Retrieve a contact export definition
get
/api/bulk/2.0/contacts/exports/{id}
Retrieves a contact export definition.
Request
Supported Media Types
- application/json
- text/csv
Path Parameters
-
id(required): integer
Part of the uri used to identify the contact export.
Response
Supported Media Types
- application/json
200 Response
OK.
Root Schema : ContactExportIndividualResponse
Type:
objectTitle:
ContactExportIndividualResponseThe response body contains information about the contact export definition.
Show Source
-
areSystemTimestampsInUTC:
boolean
Title:
areSystemTimestampsInUTCWhether or not system timestamps will be exported in UTC. See Filtering tutorial for an example of filtering whenareSystemTimestampsInUTCis set totrue. -
autoDeleteDuration:
string
Title:
autoDeleteDurationTime until the definition will be deleted, expressed using the ISO-8601 standard. -
createdAt:
string(date-time)
Title:
createdAtThe date and time the entity was created, expressed using the ISO-8601 standard. This is a read-only property. -
createdBy:
string
Title:
createdByThe login id of the user who created the entity. This is a read-only property. -
crmAccountIdField:
string
Title:
crmAccountIdFieldThe ML statement for an existing contact field which addresses the CRM account ID. -
dataRetentionDuration:
string
Title:
dataRetentionDurationThe length of time exported data should remain in the staging area. Bulk API 2.0 uses the ISO-8601 standard for specifying all durations. Valid values are anything from PT1H (1 hour) to P14D (2 weeks). This setting will default to PT12H (12 hours) if not explicitly set during export definition creation. -
externalSystemId:
integer
Title:
externalSystemIdThe external system ID is used when exporting data containing CRM fields. -
fields:
object fields
Title:
fieldsList of fields to be included in the operation. -
filter:
string
Title:
filterThe filter parameter uses Eloqua Markup Language to only return certain results. Learn more about filters. -
kbUsed:
integer(int64)
Title:
kbUsedThe amount of space used in kilobytes. This is a read-only property. -
maxRecords:
integer
Title:
maxRecordsThe maximum amount of records. -
name:
string
Title:
nameThe name of the export definition. -
productIdField:
string
Title:
productIdFieldThe ML statement for an existing campaign field which addresses the product ID. -
syncActions:
array syncActions
Title:
syncActionsSpecifies operations to perform during the sync with a maximum of 10 actions. See Sync actions parameters for a list of sync actions. For more information about this parameter, see the Oracle Eloqua Developer Help Center. -
updatedAt:
string(date-time)
Title:
updatedAtThe date and time the entity was last updated, expressed using the ISO-8601 standard. This is a read-only property. -
updatedBy:
string
Title:
updatedByThe login id of the user that last updated the entity. This is a read-only property. -
uri:
string
Title:
uriSystem-generated unique resource identifier that defines the definition for future referencing. This is a read-only property.
Nested Schema : fields
Type:
objectTitle:
fieldsList of fields to be included in the operation.
Nested Schema : syncActions
Type:
arrayTitle:
syncActionsSpecifies operations to perform during the sync with a maximum of 10 actions. See Sync actions parameters for a list of sync actions. For more information about this parameter, see the Oracle Eloqua Developer Help Center.
Show Source
-
Array of:
object SyncAction
Title:
SyncActionThe definition of the action to take at time of syncronization.
Nested Schema : SyncAction
Type:
objectTitle:
SyncActionThe definition of the action to take at time of syncronization.
Show Source
-
action:
string
Title:
SyncActionTypeDefault Value:addAllowed Values:[ "add", "remove", "setStatus" ]The action to take at time of synchronization. -
destination:
string
Title:
destinationThe ML statement used to reference an object used by the action. -
status:
string
Title:
MemberStatusDefault Value:bouncedAllowed Values:[ "bounced", "subscribed", "unsubscribed", "active", "complete", "pending", "errored", "yes", "no", "invalid", "permission" ]The status of members. -
updateAll:
boolean
Title:
updateAllUpdate status of all records in an execution.
400 Response
Bad request. See Status Codes for information about other possible HTTP status codes.
401 Response
Unauthorized. See Status Codes for information about other possible HTTP status codes.
403 Response
Forbidden. See Status Codes for information about other possible HTTP status codes.
404 Response
The requested resource was not found. See Status Codes for information about other possible HTTP status codes.
409 Response
There was a conflict. See Status Codes for information about other possible HTTP status codes.
410 Response
The requested resource is no longer available. See Status Codes for information about other possible HTTP status codes.
412 Response
The resource you are attempting to delete has dependencies, and cannot be deleted. See Status Codes for information about other possible HTTP status codes.
413 Response
Storage space exceeded. See Status Codes for information about other possible HTTP status codes.
500 Response
The service has encountered an internal server error. See Status Codes for information about other possible HTTP status codes.
503 Response
There was a timeout processing the request. See Status Codes for information about other possible HTTP status codes.
Examples
Retrieve the definition for the contact export with id = 10:
GET /contacts/exports/10
Response:
{
"name":"{{ContentInstance(da6ed61da73441dba1349582a4fa8a2c).Execution[8]}} triggered export",
"fields":{
"Id":"{{Contact.Id}}",
"EmailAddress":"{{Contact.Field(C_EmailAddress)}}",
"FirstName":"{{Contact.Field(C_FirstName)}}",
"[Id~]":"{{Contact.Id}}"
},
"filter":"STATUS('{{ContentInstance(da6ed61da73441dba1349582a4fa8a2c).Execution[8]}}') = 'pending'",
"syncActions":[
{
"destination":"{{ContentInstance(da6ed61da73441dba1349582a4fa8a2c)}}",
"action":"setStatus",
"status":"active"
}
],
"dataRetentionDuration":"P2D",
"autoDeleteDuration":"PT12H",
"uri":"/contacts/exports/10",
"createdBy":"EloquaSystem",
"createdAt":"2014-06-18T19:54:39.4700000Z",
"updatedBy":"EloquaSystem",
"updatedAt":"2014-06-18T19:54:39.4700000Z"
}